Skip to main content
`Ctrl`+`K`

# PEPGetRefine

Gets the refinement strategy used by the `PEP` object, and the associated parameters.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetRefine(PEP pep,PEPRefine *refine,PetscInt *npart,PetscReal *tol,PetscInt *its,PEPRefineScheme *scheme)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameters

- refine - refinement type

- npart - number of partitions of the communicator

- tol - the convergence tolerance

- its - maximum number of refinement iterations

- scheme - the scheme used for solving linear systems

## Note

The user can specify `NULL` for any parameter that is not needed.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetRefine()`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages